summaryrefslogtreecommitdiffstats
path: root/source/n/rt2860-firmware/rt2860-firmware.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/rt2860-firmware/rt2860-firmware.SlackBuild')
-rwxr-xr-xsource/n/rt2860-firmware/rt2860-firmware.SlackBuild60
1 files changed, 60 insertions, 0 deletions
diff --git a/source/n/rt2860-firmware/rt2860-firmware.SlackBuild b/source/n/rt2860-firmware/rt2860-firmware.SlackBuild
new file mode 100755
index 000000000..280b276ff
--- /dev/null
+++ b/source/n/rt2860-firmware/rt2860-firmware.SlackBuild
@@ -0,0 +1,60 @@
+#!/bin/sh
+
+# Copyright 2006, 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+CWD=$(pwd)
+
+PKGNAM=rt2860-firmware
+VERSION=${VERSION:-26}
+ARCH=${ARCH:-fw}
+BUILD=${BUILD:-1}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-${PKGNAM}
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf RT2860_Firmware_V${VERSION}
+unzip $CWD/RT2860_Firmware_V${VERSION}.zip || exit 1
+cd RT2860_Firmware_V${VERSION}
+
+# Make sure ownerships and permissions are sane:
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Install:
+mkdir -p $PKG/lib/firmware
+mv LICEN* $PKG/lib/firmware/LICENSE.ralink-firmware-RT2860_Firmware_V${VERSION}.txt
+mv * $PKG/lib/firmware
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/${PKGNAM}-$VERSION-$ARCH-$BUILD.txz
+